#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

MODULE_INFO(vermagic, VERMAGIC_STRING);

struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
 .name = KBUILD_MODNAME,
 .init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
 .exit = cleanup_module,
#endif
 .arch = MODULE_ARCH_INIT,
};

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x60fad2d3, "struct_module" },
	{ 0xad4a74ff, "usb_register_driver" },
	{ 0xef3a7d82, "netif_carrier_off" },
	{ 0x22eaa0a6, "netif_carrier_on" },
	{ 0x43724173, "usb_autopm_get_interface" },
	{ 0xcdaa1fad, "usb_autopm_set_interface" },
	{ 0x496e1741, "usb_unlink_urb" },
	{ 0x7d11c268, "jiffies" },
	{ 0xdf34ba3a, "dev_kfree_skb_irq" },
	{ 0x12c6e15c, "skb_copy_expand" },
	{ 0x1be4caf9, "__netif_schedule" },
	{ 0x1902adf, "netpoll_trap" },
	{ 0xa7f457b, "register_netdev" },
	{ 0x76c31941, "init_timer" },
	{ 0x46596f83, "usb_buffer_alloc" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x93fca811, "__get_free_pages" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x596ee0ad, "alloc_etherdev_mq" },
	{ 0x5878e0d0, "finish_wait" },
	{ 0xd62c833f, "schedule_timeout" },
	{ 0x2caa52dc, "prepare_to_wait" },
	{ 0xc8b57c27, "autoremove_wake_function" },
	{ 0xffd3c7, "init_waitqueue_head" },
	{ 0xb183eb6a, "usb_alloc_urb" },
	{ 0x2455c4db, "kmem_cache_alloc" },
	{ 0x7aa5914a, "malloc_sizes" },
	{ 0xaf25400d, "snprintf" },
	{ 0x672144bd, "strlcpy" },
	{ 0x703b9949, "free_netdev" },
	{ 0x8e8630cb, "usb_buffer_free" },
	{ 0xcf0469ad, "usb_free_urb" },
	{ 0x3df5fb85, "unregister_netdev" },
	{ 0x263782b5, "cancel_delayed_work_sync" },
	{ 0x39e98d48, "usb_kill_urb" },
	{ 0x9164c9c8, "netif_rx" },
	{ 0xb2b6592f, "eth_type_trans" },
	{ 0x2bab9fca, "skb_put" },
	{ 0x4ab940e9, "dev_alloc_skb" },
	{ 0x900e0d6, "_spin_lock" },
	{ 0x994e1983, "__wake_up" },
	{ 0x27147e64, "_spin_unlock_irqrestore" },
	{ 0xeaa456ed, "_spin_lock_irqsave" },
	{ 0xdd132261, "printk" },
	{ 0x41a7c227, "schedule_delayed_work" },
	{ 0x9520a146, "usb_submit_urb" },
	{ 0x4cc8216c, "usb_deregister" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=usbcore";

MODULE_ALIAS("usb:v03E8p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v04BBp0901d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p03E8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0506p11F8d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p2002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0557p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0565p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v05E9p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v066Bp2202d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v06E1p0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0707p0100d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07AAp0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v07B8p4000d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0846p1002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v085Ap0009d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v087Dp5704d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v0951p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v095Ap3003d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v10BDp1427d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1342p0204d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v13D2p0400d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0001d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1485p0002d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p0008d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1645p8005d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v1668p0323d*dc*dsc*dp*ic*isc*ip*");
MODULE_ALIAS("usb:v2001p4000d*dc*dsc*dp*ic*isc*ip*");

MODULE_INFO(srcversion, "DF657BD7C76C829D8648D11");
